Loading...
Searching...
No Matches
caf::detail::is_list_like< T > Struct Template Reference

Checks whether T behaves like std::vector, std::list, or std::set. More...

`#include <type_traits.hpp>`

## Static Public Attributes

static constexpr bool | value

## Detailed Description

template<class T>
struct caf::detail::is_list_like< T >

Checks whether T behaves like std::vector, std::list, or std::set.

## Member Data Documentation

## value

template<class T>

bool caf::detail::is_list_like< T >::value

static constexpr

Initial value:
= is_iterable<T>::value
&& has_value_type_alias<T>::value
&& !has_mapped_type_alias<T>::value

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_traits.hpp